/*
 * e_avg.h
 *
 *  Created on: 12-05-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_AVG_H_
#define E_AVG_H_

#include "tdefs.h"

struct e_avg_logic
{
	float multiplier;
	float offset;
	u16 *buf_ptr;
	float *avg_ptr;
	float *savg_ptr;
};

struct e_avg_io
{
	u32 buf_u16_ptr_in;
	u32 param_an_ptr_in;
	u32 avg_float_out;
	u32 savg_float_out;
}__attribute__((__packed__));

struct e_avg_params
{
}__attribute__((__packed__));

struct e_avg_args
{
	struct e_avg_io io;
	struct e_avg_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_avg(void *args, void *logic);
extern int e_avg_initlog(void *arguments, void *logic);

#endif /* E_AVG_H_ */
